# **Atomic Protector 6.0.4 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #1085 - User Manager: Changing values has no user feedback
- AP #1086 - fix for firewall rule that would render port range as 62000-63000 rather than 62000:63000
- AP #1089 - AP: panic slice out of bounds on php checks
- AP #1090 - revert forcing of MYSQL_CHECKS to yes
- AP #1095 - fix Docker forwarding rule detection
- AP Web #282 - Deleting All Watch Rules in Group Causes Error


# **Atomic Protector 6.0.41 Hub**

**Release Notes**


**What's New**

- AP #1042 - Add sudo support to the agent push installer if the user is not root, it will automatically use sudo for the installation. Note that this requires the password field for sudo authentication.
- AP #1068 - Add Daemon monitoring interface 
- AP #1078 - Add support for SEC501-12.0 password policy enforcement for UI.

**Bugfixes**

- AP #1073 - whitelisting not applied via awp -wl <ip>
- AP #1082 - /var/awp/data/firewall is not getting cleared out
- AP #1084 - Fix for supporting user password changes from the UI
- AP Web #281 - Incorrectly Worded Popup Box When Exporting Allowed/Access List to csv


# **Atomic Protector 6.0.40 Hub**

**Release Notes**

**What's New**


**Bugfixes**

- AP #1067 - /etc/httpd/modsecurity.d/000_vhost_exclude.conf isn't being generated/populating correctly for excludes.
- AP #1077 - fix user remove from CLI
- AP #1078 - optional VITA SEC501-12.0 password complexity enforcement for AWP Web
- AP Web #277 - Manually adding IPs to denylist not working from GUI



# **Atomic Protector 6.0.39 Hub**

**Release Notes**

**What's New**

- AP #1053 - Add in button for user to turn off VPN access

**Bugfixes**



# **Atomic Protector 6.0.38 Hub**

**Release Notes**

**What's New**

- Vulnerability scan support for Amazon Linux 2
- CycloneDX SBOM support

**Bugfixes**

- AP #1007 - exclude cloudwatch agent from FIM
- AP #1031 - twaf local settings are not creating firewall rules
- AP #1052 - Whitelist the Support VPN's adress on Hubs firewalls by default
- AP #1056 - awp -s -f always applies "IgnoreRhosts=yes" to end of sshd_config file when run.
- AP Web #279 - Cannot add regex based FIM ignores from UI.


# **Atomic Protector 6.0.37 Hub**

**Release Notes**

**What's New**

- AP #1041 - Add support to select Protocol for Agent Push installs
- AP #1049 - Added /var/awp/bin/grcheck for health checking support


**Bugfixes**

- AP #991 - c_system: update to new plesk key location
- AP #1046 - UI Reporting > Event Search > Event Type Selection Not working
- AP #1050 - fixes for potential panic when modifying HIDS rules
- AP #1051 - prevents duplicate ids for waf rule disables 
￼


# **Atomic Protector 6.0.36 Hub**

**Release Notes**

Beta support for 6.0 agent installations using awp_standalone.sh. In addition this release adds beta support for OSSEC agent installations on Linux and AIX from the hub server using ansible. Beta support for managing Mod_security on RPM based nginx installations.  Lastly this release adds the first iteration of the Malware Scan report scheduler.

**What's New**

- AP #961 - Nginx WAF support (beta) 
- AP #1027 - Agent push installs (beta)
- AP #1029 - Agent Mode (beta)
- AP Web #267 - Malware Scan PDF report scheduler

**Bugfixes**

- AP #991 - correct plesk key path
- AP #1028 - correct changes not applied for vhost specific rule modifications
- AP #1030 - correct invalid ownership of downloaded updates
- AP #1036 - correct TWAF UI permissions
- AP #1043 - correct beta version numbers displayed in hub status in UI
- AP #1044 - correct firewall rules when run in a container
- AP #1045 - correct localfile management in subgroups
- AP #xxxx - packet size reduction over socket and websocket
- AP Web #269 - Maximum of 20 IP's visible in UI Accesslist / Excess can't be deleted from UI
- AP Web #271 - Error when deleting entries from FIM ignore list.


￼

# **Atomic Protector 6.0.35 Hub**

**Release Notes**

**What's New**

- AP #1022 - Agentless devices are now indexed, and searchable 

**Bugfixes**

- AP #931 - fixes temp files not removed by awppdfgend
- AP #984 - fixes ip range handling in FW_INBOUND* and FW_OUTBOUND* config settings
- AP #1024 - fixes required ports not allowed by default if OIDC is enabled

# **Atomic Protector 6.0.34 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #935 - fixes default realtime and whodata to yes in FIM settings
- AP #1012 - fixes localfile scan not adding all paths from template
- AP #1015 - fixes windows FIM regex settings from template
- AP #1021 - fixes field tag attributes in rules xml
- AP #1022 - fixes agentless source IPs not displayed/searchable
- AP Web #268 - IP Filter in Recent Events locks up when results are null


# **Atomic Protector 6.0.33 Hub**

**Release Notes**


**What's New**

- AP Web #104 - Added the credential manager for SSH and AWS keys. 
- AP #965 - aum, add -force-old modifier to -u to allow an upgrade to replace a newer ruleset with an older one from the beta channel.

**Bugfixes**

- AP #1013 - cross-file if_sid not followed correctly when disabling HIDS rules
- AP #1014 - fw interrogator ipset issue
￼

# **Atomic Protector 6.0.32 Hub**

**Release Notes**

**What's New**

- AP #1006, Add Support to remote archiving to S3, or a Path (S3FS, NFS, Volume, EFS, etc)

**Bugfixes**

- AP #1003 - Remote archive settings not applied
- AP #1004 - 5 to 6 update: settings not maintained from /etc/asl
- AP #1005 - 5 to 6 update: unmarshaling of 4.2 client stanza leaves a nil pointer in the expected 4.3 structure when marshaling during initial scan




# **Atomic Protector 6.0.31 Hub**

**Release Notes**

**What's New**

- AP #992 - Add default FIM group to search

**Bugfixes**

- AP #978 - correct TWAF management
- AP #983 - aum update does not update rules under certain conditions
- AP #987 - Cannot disable individual (default) active responses
- AP #990 - unhandled failure circumstance in user/group file
- AP #994 - <status> fields are not being propagated on update
- AP #995 - Add on-hub ossec rules linter
- AP #xxx - correct xml rule linting


# **Atomic Protector 6.0.30 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #956 - remove leftover debug log
- AP #973 - AP/AEP incorrectly reporting new elliptic curve keys are weak (< 2048 bits)
- AP #975 - FIM constrain full drive restriction to C:/ only
- AP #977 - EULA setup tty fixes
- AP #985 - corrects duplication of active responses
- AP Web #258 - UI for Malware Scanning
- AP Web #265 - Interface creates active responses with both level and rule ID set. 


# **Atomic Protector 6.0.29 Hub**

**Release Notes**

**What's New**

Adds a new scheduling interface to asset management, allowing scheduling of tasks at the agent group level.


**Bugfixes**

- AP #966 - correct web user permissions conflicts
- AP #967 - correct ip removal from accesslist
- AP #970 - correct terminal issues in setup
￼

# **Atomic Protector 6.0.28 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #812 - correct terminal issues in setup
- AP #957 - correct beta rules downloading from aum
- AP #960 - expand FIM settings for Ossec 4.4.1
- AP #962 - add AlmaLinux support
- AP #964 - correct nightly freshclam execution
- AP Web #262 - remove extraneous severity column in vulnerability tables
￼

# **Atomic Protector 6.0.27 Hub**

**Release Notes**

**What's New**

- AP #915 - Adds a data reset method: /var/awp/bin/awp-reset.sh
- AP #928 - Adds a full product remove/erase method: /var/awp/bin/awp-nuke.sh

**Bugfixes**

- AP #927 - fix Qmail or Postfix conflict error
- AP #948 - Active Response added in gui not showing in ossec.conf
- AP #955 - Agent Management->AV Page does not refresh after include is added
- AWP Web #90 - retire awp/asl labels in hub configuration
- AWP Web #252 - js error when logging in as non-admin



# **Atomic Protector 6.0.26 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #812 - Correctly exit on error during install
- AP #851 - Add notifications in UI if ossec is restarting due to an error
- AP #853 - Add visibility of ossec errors in UI
- AP #875 - Disable plesk firewall and firewalld on install/upgrade
- AP #890 - Corrects sregex entry and handling in FIM ignore settings
- AP #908 - Corrects agent groups deleted in UI not being removed
- AP #916 - Corrects aum only installation of free modsec rules
- AP #935 - defaults realtime and whodata to yes in FIM templates
- AP #937 - Corrects missing profile/os stanzas in managed agent.conf files
- AP #938 - Corrects agent ignore settings removed on scan
- AP #939 - Corrects mod_evasive config management
- AP #940 - Correct apache being restarted on scan when no changes have been applied
- AP #941 - Remove 50-clamv.conf inclusion for proftpd on plesk systems
- AP Web #255 - Correct update rendering and filtering of the events dashboard
￼


# **Atomic Protector 6.0.25 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #925 - clean up before iptables interrogator tests
- AP #934 - handle comma delimited if_sid values when disabling parent rules
￼



# **Atomic Protector 6.0.24 Hub**

**Release Notes**

This release updates the user interface to be more workflow focused, and includes our new Search function to both navigate the interface modules, and access online documentation. In addition the rule manager has been updated to allow agent level rule exceptions, and improvements to the active response management system.

Navigation Changes:
- Dashboards
  - Hub Status (moved from "Reporting")
  - Login Failures (moved from "Reporting")

- Asset Management (new primary nav item)
  - "Add Agent" menu item (broken out from "Agent Management")
  - Agent Management (moved from "Atomic Protector")

- Administration (new primary nav item)
  - Hub User Management (moved from Atomic Protector menu as "User Management")
  - Single Sign On (moved from Integrations menu as "SSO OpenID Connnect")
  - Hub SSL Management (moved from Atomic Protector menu as "SSL Management")
  - Rule Management (moved from Atomic Protector menu as "WAF & HIDS Rules")  

- Hub Configuration (formerly Atomic Protector)

- Reporting
  - Reports (formerly Hub Compliance Reports)
  - Reports History (formerly History tab in Reports)
  - Hub Scans (formerly System Scans)



**What's New**

New feature: Search UI from anywhere via new search icon. Brings user to relevant menu and suggests documentation search.

- AP #905 - Option to automatically select and apply SSL certificiates to the hub server
- AP Web #247 - Navigation changes

**Bugfixes**

- AP #836 - timestamps on some windows show 12 hour time, without AM/PM
- AP #886 - zabbix active response is enabled by default
- AP #897 - OIDC Provider cannot be deleted
- AP #912 - Change false positive reporting to use SMTP transport from deprecated zendesk web API
- AP #918 - manual module configuration handling in ossec.conf

# **Atomic Protector 6.0.23 Hub**

**Release Notes**

**What's New**

- AP #837 - add agent exclusion option in event drill down

**Bugfixes**

- AP #888 - fixed 00_mod_security.conf not removed if MODSEC_ENABLE set to "no"
- AP #895 - Local fim detail content change
- AP #911 - fixed potential panic in awp_pdfgend
- AP #913 - fixed --show-alert from command line
- AP #xxx - fixed divide by zero in awp_pdfgend
￼


# **Atomic Protector 6.0.22 Hub**

**Release Notes**

**What's New**

- AP #884 - Users assigned to the unprivileged group are now treated the same as blocked users, and cannot log in
- AP #910 - Vulnerability scanner Summary and Details do not line up
- AP Web #250 - Hub/Local FIM has moved under reporting


**Bugfixes**

- AP #502 - correct handling of OSSEC_MAX_MSG value of zero
- AP #654 - add -h flag to awp-add-user
- AP #746 - corrects ips not removed from blocklist when added to accesslist
- AP #755 - impose FIM interval minimum of one hour
- AP #881 - awp_firewall.BlocklistAdd - test rule generation when ipsets are not available
- AP #882 - add ipset as a dependency
- AP #887 - red hat 7.9 not properly detected
- AP #889 - agent subgroup delete race condition
- AP #898 - hash check not performed on enabled waf rule sets
- AP #902 - DNS IPS protection rules do not work
- AP #909 - add firewall rule for pizzaseo to IPS rule set
- AP Web #241 - Creating Sub Group in UI Creates group in Main groups and not as a Sub of an Already Existent Group
￼



# **Atomic Protector 6.0.21 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #863 - correct issues with Cloudflare integration
- AP #871 - correct issues with vulnerability aggregation
- AP #880 - correct extraneous writes to config and agent configs
- AP #xxx - change log format to syslog for modern mysql/mariadb

# **Atomic Protector 6.0.20 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #760 - correct issues with SCA aggregation at start up
- AP #837 - add agent exclusion for events
- AP #841 - corrects remote support setup from UI
- AP #858 - corrects whitespace added to /etc/yum.conf
- AP #868 - corrects OpenSCAP data visibility
- AP #866 - corrects audit fields not displayed in FIM event detail views
- AP #871 - correct issues with vulnerability aggregation


# **Atomic Protector 6.0.19 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #495 - corrects remote syslog updating from GUI
- AP #700 - permissions corrections in SSL cert management
- AP #769 - corrects regex in tortixd mod_security settings verification
- AP #809 - discontinues use of wget in support automation
- AP #817 - corrects an issue removing GUI users
- AP #839 - properly vet ip addresses from third parties
- AP #xxx - reverts rate limit source file and logic to v5
- AP #xxx - corrects a potential panic when initializing AUM
- AP #xxx - corrects an issue when specifying a channel in AUM
- AP Web # 57 - report pdf download from GUI
- AP Web #231 - corrects corrects agent status pdf inaccessible from GUI


# **Atomic Protector 6.0.18 Hub**

**Release Notes**

 This release adds BETA support for the National Vulnerability Database from NIST on Windows and Redhat Enterprise Linux. Centos Linux is not yet supported by this function, and will generate false positive results. This can be enabled under Host Intrusion Detection System: Vulnerability Detector NVD Dataset.

Beta support for Ubuntu 20 is for use as endpoint protection only. Central hub management for endpoints is not implemented in this release, additionally clamav real-time is not available on ubuntu.

**What's New**

- Ubuntu 20 endpoint protection support
- National Vulnerability Database support
- AP #776 - add support to configure imklog in rsyslog


**Bugfixes**

- AP #780 - uninstaller - clean up/restore ssl.conf
- AP #782 - Moving an agent into a group does not generate malware-detection for that agent
- AP #786 - Reporting > Event Search filter was not handing type HIDS/WAF correctly
- AP #794 - ubuntu creates unused repo files (asl, tortix-common, etc)
- AP #798 - Active block flame not working for serial offenders
- AP #801 - Regenerate ossec.conf if it is invalid/zero length/missing
- AP #802 - force 127.0.0.1 in accesslist
- AP #803 - ossec scan does not account for missing rootcheck section
- AP #804 - ossec scan missing HIDS_LogAlertLevel test
- AP #805 - ossec scan apply rules check needs to occur at the end when ossec.conf does not exist
- AP #806 - ossec scan timeout being applied to ars with allow timeout set to no
- AP #808 - handle or strip trailing \ on fim entries
- AP #811 - OSSEC MSU vulnerability scanner section set to disabled
- AP #813 - /var/awp/bin/awp-add-user doesnt set user is_admin
- AP Web #162 - move close/minimize into nav bar in event view
- AP Web #169 - relabel compliance reports for hub node to: Hub compliance reports
- AP Web #223 - Agent Management->AV font color for include is black in darkmode
￼


# **Atomic Protector 6.0.17 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #658 - corrects linux login failures not included in login failures report
- AP #768 - corrects orphaned command stanzas in ossec config
- AP #771 - corrects some ossec server/hybrid/agent handling
- AP #777 - corrects segfault when executing awp_firewall
- AP #778 - corrects AR modification
- AP #781 - corrects version not displayed in UI
- AP #783 - corrects rule level filter on events dashboard
- AP #784 - excludes localhost from top sources chart
- AP Web #219 - text changes
- AP Web #221 - restores an unfiltered list of rules in rule search view; adds paging
- AP Web #222 - corrects browser reloading on agent search
- AP Web #230 - corrects partial matching in rule searches
- AP Web #233 - corrects typos in FIM settings
- AP Web #xxx - corrects unhandled null
￼


# **Atomic Protector 6.0.16 Hub**

**Release Notes**

**What's New**

- Modsecurity support on cpanel

**Bugfixes**

- AP #374 - retain web users when upgrading from ASL v5
- AP #765 - firewall - AC-ACTIVE-RESPONSE jump cleared on restart
- AP #766 - ar scripts - disable the old drops that are creating ASL- chains and rules
- AP #xxx - assorted fixes for cpanel systems
- AP #xxx - assorted fixes for plesk systems
- AP #xxx - assorted update/install fixes
- AP #xxx - correct ownership of generated rule xml files
- AP #xxx - corrects missing log jump for emerging threats in firewall
- AP #xxx - better clean up of legacy ASL-* chains in firewall
￼


# **Atomic Protector 6.0.15 Hub**

**Release Notes**

**What's New**

**Bugfixes**

- AP #749 - awp --rule-reset 550 returns wrong number of parameters
- AP #756 - Event search: +1 not being applied outside of 'today'
￼


# **Atomic Protector 6.0.14 Hub**

**Release Notes**

**What's New**
- AP Web #202 - Prompt warnings added for inactivity logout

**Bugfixes**

- AP #357 - obsolete asl v5 aum package
- AP #574 - corrects issues with ipset creation
- AP #650 - corrects issues with shunning and shun removal
- AP #720 - HIDS rule update does not restart / update ossec internals
- AP #742 - adjusts ownership of config
- AP #747 - fixes --rule-disable on WAF and HIDS events
- AP #751 - corrects issues with ipset geoblocking
- AP #752 - corrects issues with rule preservation on firewall and system restarts
- AP #753 - corrects issues with firewall logging prefixes
- AP #754 - Yum passwords not updated when /etc/asl/config changes
- AP Web #210 - yubikey / webauthn reg throws script error
- AP Web #215 - puses update to browser for pdf delete actions



# **Atomic Protector 6.0.13 Hub**

**Release Notes**

**What's New**

- Support for RHEL/Centos 6 i386 agents
- Support for OpenSuSE 15.1 x86_64 agents
- AP #732 - Event viewer, shows entire modsecurity audit event (note: local events only)

**Bugfixes**

- AP #717 - No Information Displayed In Events Details until +24 hours
- AP #719 - corrects an issue with alerts resync
- AP #723 - ossec no longer restarts upon a second running of the command
- AP #735 - portion of the web interface now displays correctly
- AP #738 - corrects an issue with pdf generation
- AP #740 - corrects an issue with pdf generation
- AP #743 - rule list is now displayed correctly
￼


# **Atomic Protector 6.0.12 Hub**

**Release Notes**

**What's New**

- AP #721 - aum, adds -debug (1-4) flag for aum.log debugging

**Bugfixes**

- AP #718 - awp web, handle disable autologout correctly (-1)
- AP #720 - corrects ossec restart conditions on rule updates
- AP #722 - aum, interaction not checking component list for -u, only for -upgrade
- AP #726 - firewall, corrects path to emerging threats dataset
- AP #732 - corrects modsec events not fetching full audit data
- AP #735 - corrects vulnerability numbers in events dashboard on restart
- AP #738 - corrects issue with pdf report generation
- AP #740 - corrects issue with pdf report generation
- AP Web #45 - corrects rule grou filtering in events dashboard
- AP Web #67 - adds a missing permissions constraint



# **Atomic Protector 6.0.11 Hub**

**Release Notes**

**What's New**

- AP Web #50 - user registration facelift
- AP Web #91 - adds external link to detailed official docs to install agents on Add Agent modal
- AP Web #115 - adds scrolling/paging to the scan history sections
- AP Web #159 - CVE drilldown, adds newline after each agent name to show as a vertical instead of horizontal list
- AP Web #164 - adds legends field to login failures dashboard
- AP Web #172 - adds loading indicators for large datasets on vulnerability/compliance dashboards
- AP Web #206 - add sort support for vulnerability and compliance dashboards
- AP Web #207 - adds copy to clipboard button in event view

**Bugfixes**

- AP #695 - correctly links/repairs /etc/asl/ association with /var/awp/etc
- AP #713 - changelog rendering handles missing sections
- AP #715 - Apache mod_* recognition on cpanel systems
- AP #718 - AUTO_LOGOUT less than or equal to 0 handling
- AP #719 - fixes a potential resync loop on errors in source alert json parsing
- AP Web #46 - corrects condition where syslog receiver settings could not be deleted/updated
- AP Web #80 - renames File Integrity to File Integrity (hub) for clarification
- AP Web #92 - renames agent 000 as Hub in agent management tree
- AP Web #127 - corrects condition where the shell installer could not be found on an agent add
- AP Web #156 - fixes NaN in agent compliance score calculation
- AP Web #157 - fix for navigation from add agent does not support any condition other than back to management
- AP Web #201 - adds null checks to report displays/falls back to text
- AP Web #202 - Corrects condition for sending false positive reports over the zendesk API
- AP Web #209 - adds tooltip instructions to false positive/negative reports for air-gapped environments



# **Atomic Protector 6.0.10 Hub**

**Release Notes**

**What's New**

- AP #474 - Adds support to silence events from specific IP's in the the rule manager
- AP #708 - added new module, /var/awp/bin/awp_firewall as a standalone fw manager
- AP Web #15 - Adds export options to access/deny list views
- Adds batch import to access / deny list in CSV, JSON, and IP-per-line plain text

**Bugfixes**

- AP #617 - Adds support for filename and nothing in custom AR expect field
- AP #683 - Corrects remote syslog output settings modification
- AP #707 - Inaccurate Packet/Byte Count in Firewall Chain listing
- AP #708 - Corrects firewall settings across system restart
- AP #709 - firewall interface selection causes rule append failure
- AP Web #193 - Disable adding rules to immutable chains
- AP Web #194 - Off by one append in firewall rule manipulation
- AP Web #195 - corrects condition where firewall rules couldnt be edited if they were last in the chain
- AP Web #196 - Make AC- firewall rules immutable (disable flush/reset)
- AP Web #198 - Adds indication that the rule id field is optional in remote output settings
- AP Web #199 - Corrects recent events displayed in WAF & HIDS rules management
- AP Web #200 - Event search form changes
- AP Web #203 - Corrects level sorting in events dashboard.
- AP Web #205 - Corrects condition where updating rules runs indefinitely.
- AP Web #208 - Corrects false positive reporting to use the configured EMAIL_SUPPORT setting.



# **Atomic Protector 6.0.9 Hub**

**Release Notes**

**What's New**


**Bugfixes**

- AP Web #203 - Event Dashboard Not Sorting Properly
- AWP #698 - AWP registration form does not redirect to dashboard after submission
￼

￼



# **Atomic Protector 6.0.8 Hub**

**Release Notes**

**What's New**
- Additional footprint reductions and performance improvements.
- Export accesslist / denylist (or search) as JSON or CSV.

**Bugfixes**

- AP #444 - Indexes created on new installations
- AP #617 - Adds support for 'filename' and empty expect for custom active responses
- AP #661 - AUM lint HIDS rules on update condition
- AP #667 - Clamav checks do not set freshclam.conf fields DatabaseOwner, Logsyslog
- AP #683 - Fixes remote output settings interactions
- AP #690 - Changelog renders when fields are missing
- AP #692 - Fixes awpd startup error awpd: AWPD startup error: awpd:startup:error:path setup failed: files_link error: link /var/awp/etc/accesslist /etc/asl/whitelist: invalid cross-device link
- AP #710 - corrects ERROR TypeError: Cannot read property 'values' of undefined
- AP Web #15  - as-you-type ip search filter for blocklist / accesslist
- AP Web #196 - managed firewall chains can no longer be flushed or removed
- AP Web #198 - Clarified optional rule ID for remote syslog output
- AP Web #199 - Fixes WAF / HIDS event display
- AP Web #200 - Event search form adjustments
￼

# **Atomic Protector 6.0.7 Hub**

**Release Notes**
This update enhances the UI experience by adding browser back/forward navigation. In addition, Offline/Airgapped environment support has been updated with improved repo management settings

**What's New**
- AP Web #87  - browser back button correctly restores last UI view

**Bugfixes**

- AP #441 - reposition ossec agent rules in iptables
- AP #494 - corrects OSSEC_ACTIVE_RESPONSE handling
- AP #668 - alters config change handling in aum -u
- AP #674 - corrects log ownership
- AP #675 - corrects slow shutdown of awpwebd
- AP #678 - corrects disabled repos in air gapped environments
- AP #681 - corrects ips delivered in long format
- AP #683 - corrects ossec not updated on remote output changes
- AP Web #181 - dark mode adjustments to File Integrity viewer
- AP Web #176 - dark mode adjustments to Help -> AP Support
- AP Web #66  - alerts user if they are using an unsupported browser
- AP Web #124 - highlight active menu item
- AP Web      - Supported browser list / versioning added to documentation

# **Atomic Protector 6.0.6 Hub**

**Release Notes**

Help section has been added to allow for direct queries against the support wiki (wiki.atomicorp.com), documentation (docs.atomicorp.com), and Zendesk support portal (atomicorp.zendesk.com)
Changelog for each release is now available under Help

**Whats New**

- Added Help Menu
- Animations option has been added under user profile
- AP #671 - Add Air Gapped mode


**Bugfixes**

- AP #399 - indexing not closed properly on rotation
- AP #409 - prevent C: from being monitored in agent management FIM
- AP #653 - clamonacc 0.103 / clamav-clamonacc not being restarted
- AP #657 - hardlink /etc/asl/whitelist with /var/awp/etc/accesslist
- AP Web #163 - dark mode changes
- AP Web #171 - inconsistent scrollbar behavior
- AP Web #174 - adds notification/keepalive for automatic timeout
- AP Web #175 - dark mode changes
￼


# **Atomic Protector 6.0.5 Hub**

**Release Notes**


**Whats New**
- AP #582 - add more command line options for rule manipulation
￼


**Bugfixes**
- AP Web #161 - Dark Mode Agent Management views still white
- AP Web #168 - Hub Status Darkmode -> System Vulnerabilities "read more" button link not is not properly colored
- AP #496 - corrected and improved functionality of /var/awp/bin/awp-remove-user
- AP #656 - Changelog popup cannot request data
- AP #409 - Removed ability to add entire letter drives to fim watch. Ex: windows "C:/" and linux "/"
￼



# **Atomic Protector 6.0.4 Hub**

**Release Notes**

Performance and reliability improvements.

**Whats New**
- improved agent status determination
- improved source data abnormality handling
- improved threat data aggregation
- AP #582 - added more command line options for rule manipulation
- AP #627 - added ub as an alias for awp's --blocklist-remove command
- AP #557 - false positive reports submitted via UI will now be tagged as false_positve_reports on zendesk
- AP #624 - Added automated changelog updates and display to the UI

**Bugfixes**
- AP #646 - corrected potential panics
- AP #633 - corrected some urls not clickable in rule descriptions
- AP #627 - added ub as an alias for awp's --blocklist-remove command
- AP #647 - added slightly more verbose output when adding IPs to accesslist and denylist via cli
- AP #648 - corrected the potential to add the same IP to both accesslist and denylist
- AP Web #155 - dark mode adjustments
- AP Web #137 - disabling of side navigation while registration form is active


# **Atomic Protector 6.0.3 Hub**

**Release Notes**

The name has changed! Atomic Workload Protection is now known as Atomic Protector

**Whats New**
- Ubuntu 20 support for AUM
- Adds dark mode to the web interface
- Implements logrotation on /var/awp/log

**Bugfixes**
- AP #598 - improved support for air-gapped environments
- AP - corrects an issue with OIDC configuration
- AP Web #45  - improved filtering in events dashboard
- AP Web #150 - fixes condition where local FIM manager couldn't set whodata field





# **Atomic Workload Protection 6.0.2 Hub**

**Release Notes**
This update extends SSL certificate management from the core AWP Management daemon, to also handle SSL certificates on the Authd registration service, and the Agent software repository web server. All SSL certificates on the system are now handled through a single action in the interface.

Additionally this update implements an Add Agent interface in the Agent Manager interface for Linux, OSX, and Windows.



**Whats New**
- AWP #606 - System httpd, and Authd ssl certificate management added to the SSL Manager interface
- AWP #610 - Add Base SELinux policy for awpd
- AWP Web #68 - New agent installation interface added to the GUI
- AWP Web #141 - Add support to revoke support ssh keys


**Bugfixes**
- AWP #333 - Blocklist doesnt appear to be in sync with active response list
- AWP #490 - searchengines scripts missing from modsecurity.d
- AWP #538 - AtomicWP > Awp Web Configuration > "AWP Web Configuration" Section immutable
- AWP #562 - Update mod_security to support new accesslist
- AWP #573 - Rule editor doesnt support same_field
- AWP #560 - OSSEC Logrotation is not working
- AWP #595 - Broken pipe handler added for TAC_Websocket_Hub_client.go:165
- AWP #596 - awpwebd: set http server's error log
- AWP #597 - ac_web: suppress the meaningless tls error
- AWP #599 - AUM only -- Modsecurity not logging to audit log
- AWP #600 - AUM only -- hitting CTRL+C on ELUA prompt send aum into infinite loop with username/password prompt.
- AWP #601 - AUM only -- Multiple AWPHOME variables in config
- AWP #603 - AUM only: Repo files are only updated during configure
- AWP #604 - AUM Only -- Apache scan is looking for /var/asl/etc/httpd
- AWP #605 - certbot removal causes awpd preflight crash
- AWP #612 - corrects panic condition in log watches
- AWP #613 - corrects event hids/waf determination for 60126,60141
- AWP #xxx - corrects vulnerability counts
- AWP Web #48 - UI now gives feedback when actions are taken
- AWP Web #125 - Reporting > System Scans > Scan Now | History time/date stamps not in sync
- AWP Web #132 - Resolved error concerning connecting for support not using http
- AWP Web #134 - No ticket created on Open Support Ticket submission
- AWP Web #139 - UX - "Compliance Failures" drilldown shows at top of screen making it hard to locate
- AWP Web #140 - Error: Uncaught TypeError: Cannot read property 'name' of undefined, Source: window.support.js:368:86 when submitting a ticket
- AWP Web #144 - Corrects page layout mixup in AWP Support after ticket submission
- AWP Web #143 - Change Awp Support to AWP Support


# **Atomic Workload Protection 6.0.1 Hub**


**Release Notes**


**Whats New**
- AWP #297 - Add support for SSL configuration and Lets Encrypt
- AWP #322 - Add support for non-json log formats
- AWP #452 - Add interface for remote support ssh key installation, VPN, and support ticket generation
- AWP #542 - Add support for firewall rules on EL8
- AWP #XXX - Added internal scheduler for tasks (e.g., nightly retention)
- AWP #XXX - Added rotation of log files in /var/awp/log
- AWP #597 - No longer unnecessary influx of TLS errors
- AWP #610 - Added basic AWP selinux policy


**Bugfixes**
- AWP #488 - awpd_pdfd shutdown order will no longer block/kill awpd on an update event
- AWP #534 - Incorrect decoders on hub now removed
- AWP #539 - change certbot to a soft dependency, and track this in aum
- AWP #545 - Corrects missing fields for EL8 installations
- AWP #549 - Fix PDF report generation when workload belongs to multiple groups
- AWP #575 - Agents not assigned to the correct group
- AWP #576 - Corrects standalone AUM configure directive
- AWP #578 - Corrects bad entries in local ip list
- AWP #580 - Corrects ownership of Threat Intelligence cdb files
- AWP #581 - Adds update count test to installer
- AWP #586 - Corrects -upgrade aum cli flag
- AWP #587 - Corrects standalone AUM pre-flight
- AWP #588 - Corrects SecComponentSiganture in tortix_waf.conf
- AWP #589 - Corrects aum setup not installing modsec
- AWP #590 - Corrects ownership and permissions on *list files
- AWP #599 - Corrects ownership and permissions on /var/awp/data/audit in AUM
- AWP #600 - Corrects ctrl+c behavior in aum
- AWP #601 - Corrects duplicate AWPHOME being added to config
- AWP #603 - Corrects yum repo updates in AUM
- AWP Web #547 - Correct vulnerability summary displayed


# **Atomic Workload Protection 6.0-14253 Hub**

**Release Notes**

This release expands the Vulnerability dashboard to include Compliance reporting, and pivoting on CVE, patch, and compliance elements


**Whats New**
- AWP Web #101 - Group level reporting for Compliance and Vulnerability scans
- AWP Web #102 - Executive Reports
- AWP Web #563 - Adding watch directory now runs fix mode


**Bugfixes**
- AWP Web #100 - Agent status not reflected properly
- AWP Web #129 -  Corrects Reporting > System Scans > Scan Now "view" link does not redirect to latest scan
- AWP #419 - modsecurity on hub does not log to audit_log
- AWP #470 - firewall modules arent generating valid rules for MTA settings
- AWP #515 - awpd using all memory /OOM
- AWP #529 - Rule editor does not support <fts> settings
- AWP #543 - Rule editor cant handle special characters, or multiple <match>/<regex> fields
- AWP #545 - Fields Test scan for apache and tortixd will no longer be empty on el8 installs
- AWP #550 - fix for post scriplet error on new installs for el8
- AWP #552 - Clamav does not implement OnAccessExcludeUID, preventing awp from enabling realtime-scanning locally
- AWP #561 - fix for duplicate CLAMAV_PREVENTONACCESS setting in config that was blocking clamav OnAccessPrevention functionality



# **Atomic Workload Protection 6.0-14085 Hub**


**Release Notes**

Support (BETA) for RHEL/Centos 8 is now available

**Whats New**

- Added support for RHEL/Centos 8
- AWP Web #86: Changes rule manager behavior where all settings defaulted to no. This now defaults to "yes"
- AWP Web #112: Adds Geo-Denylist functionaility to set firewall geoip blocking
- AWP #371: automatically repair the rpm db if it becomes corrupted
- AWP #377: Adds custom email notifications for specific FIM paths
- AWP #445: Adds local support options for user. Support SSH keydownload, Remote VPN connection, and Ticket submission support along with new UI.
- AWP #518: Whitelist relabel to Accesslist, Blacklist relabel to Denylist
- AWP #524: Adds syscollector stanzas to agent.conf
- AWP #536: Vulenerability scan will report it hasnt been run, rather than "no vulnerabilities to display" if it hasnt been run before
- AWP #548: System overview relabeled as Hub overview
- AWP #540: aum will now upgrade mod_security and clamav

**Bugfixes**

- AWP Web #98: fix for condition where PDF reports do not show up in history
- AWP Web #106: Corrects "awp.ui.chart.js line 319" error on vulnerability scanner summary
- AWP Web #111: Corrects Access Control > IP Controls > Geo-Denylist does not show same text in the main window
- AWP Web #116: Fix condition where remove accesslist/denylist was not working once an IP was added
- AWP Web #117: Corrects Error: Uncaught TypeError: Cannot read property 'style' of null, Source: window.firewall.js:499:66 in firewall manager
- AWP Web #118: Access Control > Connections > Active Connections > Program column missing center justification
- AWP Web #120: Entering a rule number, if no rule exists it should return a value of 0 instead of only showing "search results".
- AWP Web #121: Once generate is completed and the "info- finished pdf generation" pops up, this info tag should link to a web based pdf file that opens a new web tab for viewing instead of having to go to the 'history' tab right after completion
- AWP #462: Fixes central Clamav management framework. (Note: Requires ASL v5 on endpoints)
- AWP #516: Adds graceful socket timeout handling for awpwebd
- AWP #526: aum will now clear out deprecated rules on an update
- AWP #535: False positive reporting now contains the full log information of the support ticket
- AWP #537: Fixe malware protection status reporting that required the kernel-asl package in order to update. The kernel-asl dependency is not required for this as of EL7
- AWP #541: Corrects a condition where certain firewall rule options would block outbound local traffic
- AWP #544: FP reports will only open one ticket per report in Zendesk
- AWP #551: When entering incorrect credentials, there is no feedback from the site that the credentials are incorrect.


# **Atomic Workload Protection 6.0 Hub-14014**


**Release Notes**
This release adds a new Vulnerability summary dashboard, and some additional windows-centric login failure reporting.

**Whats New**

- AWP Hub Utils #7: Add failsafe to installer PS to alert use ossec agent is already installed, and this will re-register the agent
- AWP Web #46: Add a column under recent sources provide , source, count and a column for the last time the event generated or event generated by source
- AWP #48: Adds Remote support VPN option (CLI framework)
- AWP #88: Add windows login failure report
- AWP #458: Adds nightly system/vendor patch and Atomicorp automatic updating
- AWP #493: Adds column for Critical vulnerabilities in vulnerability scanner
- AWP #514: Adds support for editing First Time Seen (FTS) anomaly detection HIDS rules


**Bugfixes**
- AWP Web #84: FIM watch rule modifcation/adds stay stuck at 'pending...' unless browser is refreshed and user navigates back to Agent Management > FIM Settings
- AWP Web #105: Corrects: removing an agent returns: Error: Uncaught TypeError: AWPW.windows.ossec_agents.agent.get_by_id is not a function, Source: window.ossec_agents.js:1022:67
- AWP Web #109: Fix for WAF "Configuration error detected" is not specific under Reporting > Hub Status
- AWP #307: Kernel update condition / tests only apply if kernel-asl is already installed
- AWP #451: Adds a self healing component to rpm db errror
- AWP #513: Fixes segfault condition when adding remote syslog entries



# **Atomic Workload Protection 6.0 Hub**


**Release Notes**

Atomic Secured Linux is now known as Atomic Workload Protection, to better reflect the multi-platform nature of what we do.

AWP now runs as a dedicated daemon (awpd) and a web API (awpwebd)

Paths have changed from /etc/asl/ to /var/awp/etc/


**Whats New**

- Interface has been completely redesigned and updated to golang
- Removed relational database requirement (mysql/mariadb)
- Removed PHP backend
- Big Data search engine can handle 100's of millions of events in a minimal footprint
- Added custom Active Response managment
- Added agent group and subgroup mangement with infinite recursion
- Added RBAC with group and subgroup management with infinite recursion
- Compliance reporting module for OpenSCAP (Redhat/Centos)
- Compliance reporting module for CIS/CSC (Linux/Windows)
- Compliance reporting module for PCI-DSS (Linux/Windows)
- Added vulnerability scanning support for:
  - Redhat 6/7/8
  - Centos 6/7/8
  - Ubuntu 14/16/18
  - Debian 8/9/10
  - Windows 7-10
  - Windows Server 2008-2016
- Centralized agent management and reporting
- Search events by Compliance type (pci_dss, nist_800-53, etc)



**Bugfixes**
- AWP Issue #377 - add ability to set notify rules on FIM paths
- AWP Issue #428 - allow openscap to be enabled/disabled for the hub node
- AWP Issue #438 - HIDS_ARCHIVE_ALL=yes/no would not set logall correctly
- AWP Issue #449 - maild cannot handle environmental variables ($HOSTNAME, etc)
- AWP Issue #457 - awp fixmode would remove /etc/asl, will create link if path does not exist
- AWP Issue #458 - fixed aum to correctly set permissions on /var/ossec/active-responses/bin/
- AWP Issue #466 - move pdf report generation to its own daemon
- AWP Issue #469 - automatically lint and correct agent.conf on web or CLI update events
- AWP Issue #485 - automatically fix rpmdb on a fault
- AWP Web Issue #65 - PDF reports disappear from history
- AWP Web Issue #72 - Added Release version to dashboard navigation bar
